/*
'**************************************************************************************************
' 软件名称: 盘锦DJ舞曲CMS Content Management PjRen.Net
' 版本编号: Version 2.5
' 官方网站: http://www.pj57.com
' 官方论坛: http://www.pjren.net
' 版权所有: 盘锦舞曲开发团队    盘锦人(QQ:814006710)
' 郑重声明:
'    1、任何个人或组织不得在未经授权的情况下删除、修改、拷贝本软件及其他副本上一切关于版权的信息；
'    2、盘锦网络事业部保留此软件的法律追究权利
'**************************************************************************************************
*/
function Trim(){
	return this.replace(/\s+$|^\s+/g,"");
}
String.prototype.Trim=Trim;

function getObjValues(id){
	if(getObjects(id).value!=undefined)
		return getObjects(id).value.Trim();
	else
		return "";
}
function getObjects(id) { 	
	if (document.getElementById) { 
		return document.getElementById(id);
	} else if (document.all) { 
		return document.all[id]; 
	} else if (document.layers) { 
		return document.layers[id]; 
	} 
}


//声明一个ajax函数这个是ajax入口 
function ajax(reqtype,url,asynch,respHandle) { 
       $ajax=new XMLHttpRequest(); //new 一个xmlhttp 注意这个函数 还有前要不要带var 表示全局变量 
       if($ajax){  //检查下是否new 成功 
              //查看下是什么类型提交 
              if(reqtype.toLowerCase()!='post'){ 
                     initReq(reqtype,url,asynch,respHandle); //调用一个初始化函数 
              } else { 
                 var args=arguments[4]; //如果是post应该还要取一个参数 
                 if(args!=null&&args.length>0) { 
                     initReq(reqtype,url,asynch,respHandle,args); //调用一个初始化函数 
                 } 
              } 
       }else { 
             alert('ajax new error'); 
       } 
} 
function initReq(reqType,url,bool,respHandle){ 
try{ 
   $ajax.onreadystatechange=respHandle; //设置如果提交成功调用那个函数 注意这个是变量 
   $ajax.open(reqType,url,bool); //打开地址 
   if(reqType.toLowerCase()=="post"){ //如果是post 还要发送类型 
        $ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded;charset=UTF-8"); 
        $ajax.send(arguments[4]); //发送post数据 
   }else{ 
        $ajax.send(null); //如果是get就不用了 
   } 
}
  catch(errv) { 
        alert('the server at the monent'); 
  } 
} 


function getdoHits(_id){
   var _url=""+web_url+"skins/skin_2012/ajax.php?action=goodbad&id="+ _id;
   var _data="";
   ajax("GET",_url,true,getdoHitsgo,_data);
       function getdoHitsgo(){
          if($ajax.readyState==4){ //检查状态是否成功请求 
                if($ajax.status==200){ //返回是否正确完整 
                  document.getElementById("doHits").innerHTML = unescape($ajax.responseText);
                } else {
                  document.getElementById("doHits").innerHTML = "您请求的页面出现异常错误";
                }
          }
       }
}

function createXMLHttpRequest(){
       	if (window.XMLHttpRequest) {//
		XMLHttpReq=new XMLHttpRequest();

	}else if (window.ActiveXObject) {   //IE 浏览器
	     try {
			   // XMLHttpReq=new ActiveXObject("Msxml2.XMLHTTP");
		XMLHttpReq=new ActiveXObject("Micrsost.XMLHTTP");
	     } catch (e) {
		        try{
					XMLHttpReq=new ActiveXObject("Micrsost.XMLHTTP");
				} catch(e){}
	     }
        }
}


function up_down(_id, _do){
	 createXMLHttpRequest();
	 XMLHttpReq.open("GET", ""+web_url+"skins/skin_2012/ajax.php?action=doHits&id="+ _id +"&dowhat="+ _do,true);
	 XMLHttpReq.onreadystatechange= function(){
		if(XMLHttpReq.readyState == 4){
			if(XMLHttpReq.status == 200){
	           		if(XMLHttpReq.responseText == "Err_115"){
	           	        	alert('您24小时内已顶（踩）过此舞曲！'); 
		        	}
                                	getdoHits(_id);
			}else alert("网络链接失败");
		}
	}
	 XMLHttpReq.send(null);
}


function goutRequest(){
	var ret;
	{ret=confirm("您是否要退出登录？");}
	if(ret!=false)
   var _url=""+web_url+"user/login.php?action=logout"; //此处为你的ajax.php代码的路径。
   var _data="";
   ajax("GET",_url,true,goutRequestgo,_data);
    function goutRequestgo(){
       if($ajax.readyState==4){ //检查状态是否成功请求 
             if($ajax.status==200){ //返回是否正确完整 
               getlogin();
             } else {
               document.getElementById("userinfo").innerHTML = "您请求的页面出现异常错误";
             }
       }
    }
}

function getlogin(){
   var _url=""+web_url+"user/login.php"; //此处为你的ajax.php代码的路径。
   var _data="";
   ajax("GET",_url,true,getlogingo,_data); 
    function getlogingo(){
       if($ajax.readyState==4){ //检查状态是否成功请求 
         if($ajax.status==200){ //返回是否正确完整 
           document.getElementById("userinfo").innerHTML = unescape($ajax.responseText);
         } else {
           document.getElementById("userinfo").innerHTML = "您请求的页面出现异常错误";
         }
       }
    }
}

function sendRequest(){ 

   var _url=""+web_url+"user/login.php?action=login&name=" + escape(getObjValues("S_Name")) + "&pwd=" +escape(getObjValues("S_PassWord"));
   var _data="";
   ajax("GET",_url,true,handleResponse,_data); 
  function handleResponse(){ 
   if($ajax.readyState==4){ //检查状态是否成功请求 
         if($ajax.status==200){ //返回是否正确完整 
              //alert($ajax.responseText);//可以测试下数据 
	           var msg=$ajax.responseText;
	           if(msg == "Err_100"){
	                     alert('用户名不允许为空！'); 
	           } else if(msg == "Err_101"){
	                     alert('用户名非法！'); 
	           } else if(msg == "Err_102"){
	                     alert('密码不允许为空！'); 
	           } else if(msg == "Err_108"){
	                     alert('验证码不能为空！'); 
	           } else if(msg == "Err_109"){
	                     alert('验证码不正确！'); 
	           } else if(msg == "Err_103"){
	                     alert('用户名或密码错误，请重试！'); 
	           } else if(msg == "Err_104"){
	                     alert('对不起，此账号已被锁定！'); return false;
	           } else if(msg == "Err_105"){
	                     getlogin();
	           } else if(msg == "Err_106"){
	                     alert('对不起，此账号需要在本站激活！');
	                     window.setTimeout("window.location='/user/u.php?ac=activation'", 200);
	           } else {
	                     document.getElementById("userinfo").innerHTML =unescape(msg);
	           }
         }else{ 
	                     document.getElementById("userinfo").innerHTML ="您请求的页面出现异常错误！";
         } 
   } 
  } 
} 
